Ubuntu – “Docky needs composition enabled” message even after I enabled that, in Xubuntu

12.04dockylxdexfce

I am using Ubuntu 12.04 with Xubuntu-desktop because I need to use Xubuntu sometimes .I have installed Docky for quick access . But i am not getting it properly because of the error . details you can find in image i have uploaded . i have enabled composite already but still i got this .

EDIT: Same problem with Lubuntu Environment also . How can i solve this .

.enter image description here

Best Answer

  • enabling docky effects in xfce

    By default, Docky should work with the built-in XFCE/Xubuntu compositor.

    In 12.04 the compositor can be checked (if it is not already) via the window-manager tweaks

    enter image description here

    The image above shows Docky does not have the 3D effects, but by checking the options you'll have the 3D effects as per the next image:

    enter image description here

    If, for whatever reason the inbuilt compositor does not work for you, you'll need another compositor to help out Docky.

    alternative method for both XFCE/LXDE

    A good lightweight compositor is xcompmgr

    xcompmgr Install xcompmgr

    enter image description here

    As the image above shows, the inbuilt compositor is not running. xcompmgr is running, which gives Docky the 3D effects you require.

    Use session and startup to run xcompmgr when you login.